{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Revisión de documentos{% endblock %}

  {% block page %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
        <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
        <li class="breadcrumb-item active">Nuevo Listado de Boletas</li>
      </ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Boletas <small>lista nueva</small></h1>
  <!-- end page-header -->
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Boletas</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
          <div class="row mb-3">
            <form class="form-inline">
              <div class="row mb-3 m-l-10">
                <div class="form-group m-r-10">
                  <label for="id_kind" class="control-label m-r-10">Tipo</label>
                    <select id="id_kind" class="form-control">
                        <option value="">Todos</option>
                        {% for code, option in invoice_options %}
                          <option value="{{ code }}">{{ option|capfirst }}</option>
                        {% endfor %}
                    </select>
                </div>
                <div class="form-group m-r-10">
                  <label for="id_paid_on" class="control-label m-r-10">Pagado</label>
                  <select id="id_paid_on" class="form-control">
                      <option value="">Todos</option>
                      <option value="True">Sí</option>
                      <option value="False">No</option>
                  </select>
                </div>
                <div class="form-group m-r-10">
                  <label for="id_start_date" class="m-r-10">Desde</label>
                  <input type="date" name="start_date" class="datepicker" id="id_start_date">
                </div>
                <div class="form-group m-r-10">
                  <label for="id_end_date" class="m-r-10">Hasta</label>
                  <input type="date" name="end_date" class="datepicker" id="id_end_date">
                </div>
                <div class="form-group m-r-10">
                  <label for="id_operator" class="control-label m-r-10">O. Factura</label>
                  <select id="id_operator" class="form-control">
                    {%if if_todos %}
                      {%for b in operadores %}
                        <option value="{{b.id}}">{{b.name}}</option>
                      {%endfor%}
                    {% else%}
                      {%for b in operadores %}
                        <option value="{{current_operator}}">{{current_operator_name}}</option>
                        {%endfor%}
                    {%endif%}
                  </select>
                </div>
                <div class="form-group m-r-10">
                  <label for="id_service" class="control-label m-r-10">Con servicio asignado</label>
                  <select id="id_service" class="form-control">
                      <option value="">Todos</option>
                      <option value="True">Sí</option>
                      <option value="False">No</option>
                  </select>
                </div>
                <div class="form-group m-r-10">
                  <button id="export-button" class="btn btn-indigo btn-sm pull-right ml-1" type="button">Exportar</button>
              </div>
              </div>
            </form>
          </div>

          <table id="invoice-list" cellspacing="0" class="table table-hover">
            <thead>
              <tr>
                <th>ID</th>
                <th>Fecha</th>
                <th>Descripción</th>
                <th>Tipo</th>
                <th>Monto ($)</th>
                <th>Pagada</th>
                <th>Cliente</th>
                <th>O. Factura</th>
                <th>O. Cliente</th>
                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

  

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("finances_menu").classList.add("active");
    //active submenu item
    document.getElementById("invoices_item_new").classList.add("active");
</script>

<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/invoice-list.js' %}"></script>

<script>

var today = new Date();
var dd = today.getDate();
var mm = today.getMonth()+1; //January is 0!
var yyyy = today.getFullYear();
 if(dd<10){
        dd='0'+dd
    } 
    if(mm<10){
        mm='0'+mm
    } 

today = yyyy+'-'+mm+'-'+dd;
document.getElementById("id_start_date").setAttribute("max", today);
document.getElementById("id_end_date").setAttribute("max", today);

$('#id_operator').select2({
  placeholder: 'Selecciona un operador',
  allowClear: true
});
$('#id_operator').val('').trigger('change');

</script>

{% endblock %}
